Subject: bug#22169: closed (Re: bug#22169: 25.0.50; File name compiletion doesn't work with non-ASCII characters on OS X)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Dec 2015 17:36:01 +0000

Your bug report

#22169: 25.0.50; File name compiletion doesn't work with non-ASCII characters on OS X

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22169: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22169
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22169: 25.0.50; File name compiletion doesn't work with non-ASCII characters on OS X
From: Eli Zaretskii <[email-masked]>
To: Anders Lindgren <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 23 Dec 2015 19:36:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 23 Dec 2015 07:17:32 +0100
> From: Anders Lindgren <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
>     > I will push my patch for using the utf-8-hfs coding system (most likely)
>     > tomorrow.
>     
>     OK, I will then push this change afterwards.
> 
> Done!

Thanks, I pushed my part, and I'm marking this done.

Subject: 25.0.50; File name compiletion doesn't work with non-ASCII characters on OS X
From: Anders Lindgren <[email-masked]>
To: [email-masked]
Date: Mon, 14 Dec 2015 20:08:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

File name completion doesn't work with non-ASCII characters on OS X.

Steps to repeat:

    In an empty directory:
    echo "alpha" > åäöalpha.txt
    echo "beta" > åäöbeta.txt
    Emacs -Q
    C-x C-f
    TAB          # Emacs correctly echoes "åäö"
    TAB          # Emacs incorrectly says "[No match]"

     C-g          # To get out of the previous C-x C-f
     C-x C-f
     å TAB      # Emacs incorrectly says "[No match]"

The OS X file system is a bit bizarre in that it stores filenames using the
decomposed UTF-8 format (for characters in specific ranges), this might
have something to do with this.

Emacs can open the files if the full name is manually specified. Also,
dired seems to work OK as well.

    -- Anders Lindgren

In GNU Emacs 25.0.50.1 (x86_64-apple-darwin10.8.0, NS appkit-1038.36
Version 10.6.8 (Build 10K549))
 of 2015-12-11
Repository revision: 83114ccf77d2a5d59fccbdbda6edefacce1b979e
Windowing system distributor 'Apple', version 10.3.1038
Configured using:
 'configure --without-dbus --with-ns'

Configured features:
ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LC_CTYPE: UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils seq byte-opt gv bytecomp
byte-compile cconv cl-extra help-mode easymenu cl-loaddefs pcase cl-lib
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel ns-win term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 86418 9491)
 (symbols 48 19326 0)
 (miscs 40 47 155)
 (strings 32 15120 4410)
 (string-bytes 1 446648)
 (vectors 16 11888)
 (vector-slots 8 415801 4426)
 (floats 8 150 89)
 (intervals 56 206 0)
 (buffers 976 12))